"""Answer table added

Revision ID: 48fb414b360c
Revises: 7778f3aa3e27
Create Date: 2019-01-20 23:12:48.916498

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '48fb414b360c'
down_revision = '7778f3aa3e27'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('answer',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('answer', sa.String(length=500), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('post', sa.Column('question', sa.String(length=140), nullable=True))
    op.drop_column('post', 'body')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('post', sa.Column('body', mysql.VARCHAR(length=140), nullable=True))
    op.drop_column('post', 'question')
    op.drop_table('answer')
    # ### end Alembic commands ###
